package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumGameStatus {

    // 0-已上架;1-已下架;

    STATUS_THROW_IN(0, "已上架"),
    STATUS_TAKE_OFFF(1, "已下架"),
    ;

    public static EnumGameStatus getEnum(Integer code) {
        for (EnumGameStatus value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumGameStatus(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
